curl --request POST \
--url https://sandbox.cashfree.com/pg/settlements \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"product": "PG",
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": [
"4234233"
],
"settlement_utrs": [
"utr1",
"utr2"
],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z",
"recon_entities": [
"recon-123",
"recon-456"
],
"settlement_id": 6121249,
"merchant_vendor_id": "abc_123",
"order_ids": [
"order-12-127",
"order-15-128"
],
"split_ids": [
112481,
174232
]
}
}
'import requests
url = "https://sandbox.cashfree.com/pg/settlements"
payload = {
"product": "PG",
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": ["4234233"],
"settlement_utrs": ["utr1", "utr2"],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z",
"recon_entities": ["recon-123", "recon-456"],
"settlement_id": 6121249,
"merchant_vendor_id": "abc_123",
"order_ids": ["order-12-127", "order-15-128"],
"split_ids": [112481, 174232]
}
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
product: 'PG',
pagination: {
limit: 10,
cursor: 'eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=='
},
filters: {
cf_settlement_ids: ['4234233'],
settlement_utrs: ['utr1', 'utr2'],
start_date: '2022-07-20T00:00:00Z',
end_date: '2022-07-21T23:59:59Z',
recon_entities: ['recon-123', 'recon-456'],
settlement_id: 6121249,
merchant_vendor_id: 'abc_123',
order_ids: ['order-12-127', 'order-15-128'],
split_ids: [112481, 174232]
}
})
};
fetch('https://sandbox.cashfree.com/pg/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==",
"limit": 1,
"data": [
{
"event_id": "Test12345",
"entity": "settlement",
"event_type": null,
"sale_type": null,
"event_time": "2024-12-01T10:00:00+05:30",
"event_settlement_amount": 1000,
"event_amount": 1200,
"event_status": "SUCCESS",
"event_currency": "INR",
"status": "completed",
"order_id": "order-12-127",
"customer_name": "John Doe",
"customer_phone": "9876543210",
"customer_email": "john.doe@example.com",
"cf_payment_id": 553338,
"payment_amount": 1200,
"order_amount": 100,
"payment_time": "2021-07-13T13:13:59+05:30",
"payment_service_charge": 20,
"payment_service_tax": 3.6,
"payment_utr": "UTR123456",
"cf_settlement_id": 6121238,
"vendor_commission": 15,
"split_service_charge": 10,
"split_service_tax": 1.8,
"settlement_utr": "UTR987654",
"settlement_date": "2024-12-02T12:00:00+05:30",
"refund_note": null,
"refund_id": "REF12345",
"refund_arn": null,
"refund_processed_at": "2024-12-03T14:00:00+05:30",
"closed_in_favor_of": null,
"resolved_on": "2024-12-04T16:00:00+05:30",
"dispute_category": null,
"dispute_note": null,
"dispute_resolved_on": "2024-12-05T18:00:00+05:30",
"adjustment_remarks": null,
"adjustment": null,
"service_tax": 1.8,
"service_charge": 10,
"amount_settled": 1000,
"payment_from": null,
"payment_till": null,
"reason": null,
"settlement_initiated_on": "2024-12-01T10:30:00+05:30",
"settlement_type": null,
"settlement_charge": null,
"settlement_tax": null,
"payment_group": null,
"remarks": null
}
]
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}Get All Settlements
Use this API to get all settlement details by specifying the settlement ID, settlement UTR or date range.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
application/json
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
application/json
Body
Request Body to get the settlements
Request to fetch settlement
To fetch the next set of settlements, pass the cursor received in the response to the next API call. To receive the data for the first time, pass the cursor as null. Limit would be number of settlements that you want to receive.
Show child attributes
Show child attributes
Specify either the Settlement ID, Settlement UTR, Recon entities, Vendor ID, Order ID, Split ID, or start date and end date to fetch the settlement details.
Show child attributes
Show child attributes
Fetches the settlements of the product mentioned. Possible values: PG, OFFLINE.
Was this page helpful?